stable

libbson-1.8.0-1.fc27

FEDORA-2017-1953158d1f created by ppisar 6 years ago for Fedora 27

This release fixes a crash whwhen parsing an empty code string of a codewscope type. It also make functions for checking library version available for C++ programs.

How to install

Updates may require up to 24 hours to propagate to mirrors. If the following command doesn't work, please retry later:

sudo dnf upgrade --refresh --advisory=FEDORA-2017-1953158d1f

This update has been submitted for testing by ppisar.

6 years ago
User Icon remi commented & provided feedback 6 years ago
karma

Successfully build mongo-c-driver and php-pecl-mongdb

BZ#1490650 libbson-1.8.0 is available

This update has been pushed to testing.

6 years ago

This update has reached 3 days in testing and can be pushed to stable now if the maintainer wishes

6 years ago

This update has been submitted for stable by ppisar.

6 years ago

ppisar edited this update.

6 years ago

This update has been pushed to stable.

6 years ago

Please login to add feedback.

Metadata
Type
security
Karma
1
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
disabled
Stable by Time
disabled
Dates
submitted
6 years ago
in testing
6 years ago
in stable
6 years ago
modified
6 years ago
BZ#1489355 There is a heap-buffer-overflow in bson_utf8_validate() function of libbson.
0
0
BZ#1490650 libbson-1.8.0 is available
0
1
BZ#1494401 CVE-2017-14227 libbson: Heap based buffer over read in the bson_utf8_validate function
0
0

Automated Test Results